//--------bootstrap--------
.container {

  @include media-breakpoint-down(md) {
    padding-right: 30px;
    padding-left: 30px;
  }

  @include media-breakpoint-down(sm) {
    padding-right: 15px;
    padding-left: 15px;
  }
}

//btn
.btn {
  max-width: 100%;
  letter-spacing: .05em;
  text-transform: uppercase;
}

.btn-print {
  display: flex;
  align-items: center;
  font-family: $font-secondary;
  font-size: 13px;
  line-height: 1.4;
  font-weight: 300;
  text-transform: none;
  color: #828383;

  &:before {
    margin-right: 12px;
    display: block;
    width: 16px;
    height: 16px;
    flex-shrink: 0;
    content: '';
    background: url(../img/print-icon.svg) no-repeat center;
    background-size: contain;
  }
}

.btn-primary {
  min-width: 210px;

  &:hover {
    background: $primary-hover;
  }

  &[disable],
  &.disabled {
    pointer-events: none;
    color: #8f9399;
    background: #f1f2f3;
  }

  &--small {
    min-width: 170px;
  }

  &--recipe {
    display: inline-flex;
    justify-content: center;
    align-items: center;

    &:before {
      margin-right: 10px;
      display: block;
      width: 17px;
      height: 17px;
      content: '';
      background-image: url("data:image/svg+xml,%3Csvg width='17' height='17' viewBox='0 0 17 17' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M9.81811 0.581365C10.1169 0.592839 10.4014 0.977605 15.9506 6.58698C16.2346 6.87677 16.215 7.34626 15.914 7.61359L11.3128 11.6297L12.1818 12.5074L11.2031 13.4974L10.2946 12.5777C7.05465 15.8992 1.56465 11.6861 3.78653 7.59113C4.59371 8.40656 4.13809 7.94831 4.82715 8.64289C3.9159 11.2418 7.29934 13.6632 9.3159 11.5877L3.52215 5.73468L4.5009 4.74469L5.22652 5.47883C9.01976 1.03962 9.27119 0.639226 9.57633 0.592839C9.61396 0.587224 9.6524 0.58698 9.6984 0.585027C9.74493 0.58405 9.78162 0.5799 9.81811 0.581365ZM6.20809 6.46882L10.3312 10.637L14.4459 7.04548L12.5925 5.17218L9.59996 8.19855L8.62122 7.20856L11.6165 4.18512L9.76309 2.31208L6.20809 6.46882ZM0.40625 12.0938C0.40625 11.4722 0.909691 10.9688 1.53125 10.9688C2.15281 10.9688 2.65625 11.4722 2.65625 12.0938C2.65625 12.7154 2.15281 13.2188 1.53125 13.2188C0.909691 13.2188 0.40625 12.7154 0.40625 12.0938ZM0.40625 15.4688C0.40625 14.8472 0.909691 14.3438 1.53125 14.3438C2.15281 14.3438 2.65625 14.8472 2.65625 15.4688C2.65625 16.0904 2.15281 16.5938 1.53125 16.5938C0.909691 16.5938 0.40625 16.0904 0.40625 15.4688ZM4.90625 14.3438C4.28469 14.3438 3.78125 14.8472 3.78125 15.4688C3.78125 16.0904 4.28469 16.5938 4.90625 16.5938C5.52781 16.5938 6.03125 16.0904 6.03125 15.4688C6.03125 14.8472 5.52781 14.3438 4.90625 14.3438Z' fill='white'/%3E%3C/svg%3E");
    }
  }

  &--location {
    padding-right: 40px;
    padding-left: 30px;
    width: auto;
    min-width: 0;
    white-space: nowrap;

    &:before {
      margin-right: 15px;
      display: inline-block;
      width: 16px;
      height: 20px;
      vertical-align: middle;
      content: '';
      background-image: url("data:image/svg+xml,%3Csvg width='16' height='20' viewBox='0 0 16 20' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M13.656 2.344C12.144 0.832 10.136 0 8 0C5.864 0 3.856 0.832 2.344 2.344C0.832 3.856 0 5.864 0 8C0 10.136 0.832 12.144 2.336 13.64L7.136 18.824C7.36 19.064 7.672 19.2 8 19.2C8.328 19.2 8.64 19.064 8.864 18.832L13.656 13.656C15.168 12.144 16 10.136 16 8C16 5.864 15.168 3.856 13.656 2.344ZM12.512 12.536L8 17.424L3.48 12.528C2.264 11.312 1.6 9.704 1.6 8C1.6 6.296 2.264 4.688 3.472 3.48C4.688 2.264 6.288 1.6 8 1.6C9.704 1.6 11.312 2.264 12.528 3.48C13.736 4.688 14.4 6.296 14.4 8C14.4 9.704 13.736 11.312 12.512 12.536Z' fill='white'/%3E%3Ccircle cx='8' cy='8' r='3' fill='%23F1E6D5'/%3E%3C/svg%3E%0A");
    }
  }
}

.btn-white {
  color: $body-color;
  background-color: #fff;
  box-shadow: 0 15px 20px rgba(222, 227, 233, .4);

  &:hover {
    color: $body-color;
    box-shadow: 0 30px 20px rgba(222, 227, 233, .6);
  }

  &:focus {
    box-shadow: 0 15px 20px rgba(222, 227, 233, .4);
  }

  &--shadow-none {
    box-shadow: none;

    &:hover {
      color: $primary;
      box-shadow: none;
    }
  }
}

.btn-load {
  position: relative;
  z-index: 1;
  padding-right: 40px;
  padding-left: 66px;
  white-space: nowrap;
  background-image: url("data:image/svg+xml,%3Csvg width='18' height='18' viewBox='0 0 18 18' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M9.00004 2.25002C6.60925 2.25002 4.52057 3.50863 3.32236 5.38908L5.0625 7.87501L0.495427 11.9243C0.179701 11.0064 0 10.0252 0 9.00001C0 4.02947 4.02944 0 9.00001 0C12.1111 0 14.8529 1.57873 16.4694 3.97857L14.7585 5.49627C13.5721 3.55363 11.4383 2.25002 9.00004 2.25002ZM12.9372 10.125L17.5043 6.07562C17.82 6.99358 17.9997 7.97483 17.9997 8.99997C17.9997 13.9705 13.9703 18 8.99971 18C5.88864 18 3.14678 16.4212 1.53027 14.0214L3.24119 12.5037C4.42763 14.4463 6.56139 15.75 8.99967 15.75C11.3905 15.75 13.4792 14.4913 14.6774 12.6109L12.9372 10.125Z' fill='%23DEE3E9'/%3E%3C/svg%3E%0A");
  background-repeat: no-repeat;
  background-position: 40px center;

  @include media-breakpoint-down(sm) {
    padding-left: 40px;
    background-position: 10px center;
  }

  &:hover {
    background-image: url("data:image/svg+xml,%3Csvg width='18' height='18' viewBox='0 0 18 18' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath fill-rule='evenodd' clip-rule='evenodd' d='M9.00004 2.25002C6.60925 2.25002 4.52057 3.50863 3.32236 5.38908L5.0625 7.87501L0.495427 11.9243C0.179701 11.0064 0 10.0252 0 9.00001C0 4.02947 4.02944 0 9.00001 0C12.1111 0 14.8529 1.57873 16.4694 3.97857L14.7585 5.49627C13.5721 3.55363 11.4383 2.25002 9.00004 2.25002ZM12.9372 10.125L17.5043 6.07562C17.82 6.99358 17.9997 7.97483 17.9997 8.99997C17.9997 13.9705 13.9703 18 8.99971 18C5.88864 18 3.14678 16.4212 1.53027 14.0214L3.24119 12.5037C4.42763 14.4463 6.56139 15.75 8.99967 15.75C11.3905 15.75 13.4792 14.4913 14.6774 12.6109L12.9372 10.125Z' fill='%230057A5'/%3E%3C/svg%3E%0A");
  }
}

.btn-more {
  padding: 0;
  font-size: 14px;
  line-height: 42px;
  vertical-align: middle;
  letter-spacing: normal;
  text-transform: none;
  color: $secondary;

  &:after {
    margin-left: 14px;
    display: inline-block;
    width: 42px;
    height: 42px;
    vertical-align: middle;
    content: '';
    background: #ffffff;
    background-image: url("data:image/svg+xml,%3Csvg width='5' height='9' viewBox='0 0 5 9' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M5 4.5L0.5 9V0L5 4.5Z' fill='%23C7CCD1'/%3E%3C/svg%3E%0A");
    background-repeat: no-repeat;
    background-position: center center;
    border-radius: 50%;
    box-shadow: 0 4px 44px rgba(0, 0, 0, .05);
    transition: $transition-base;
  }

  &:hover {
    color: $body-color;

    &:after {
      background-color: $primary;
      background-image: url("data:image/svg+xml,%3Csvg width='5' height='9' viewBox='0 0 5 9' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M5 4.5L0.5 9V0L5 4.5Z' fill='white'/%3E%3C/svg%3E%0A");
    }
  }
}

.btn-outline-gray {
  padding: 0 12px;
  height: 32px;
  font-size: 10px;
  line-height: 29px;
  font-weight: 500;
  text-align: center;
  letter-spacing: .1em;
  color: #000000;
  border: 2px solid #e8e8e8;
  border-radius: 4px;
}

.btn-back {
  padding: 0;
  font-size: 14px;
  line-height: 42px;
  vertical-align: middle;
  letter-spacing: normal;
  text-transform: none;
  color: $secondary;

  &--sm {
    font-size: 12px;
  }

  &:before {
    margin-right: 14px;
    display: inline-block;
    width: 42px;
    height: 42px;
    vertical-align: middle;
    content: '';
    background: #ffffff;
    background-image: url("data:image/svg+xml,%3Csvg width='5' height='9' viewBox='0 0 5 9' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M5 4.5L0.5 9V0L5 4.5Z' fill='%23C7CCD1'/%3E%3C/svg%3E%0A");
    background-repeat: no-repeat;
    background-position: center center;
    border-radius: 50%;
    box-shadow: 0 4px 44px rgba(0, 0, 0, .05);
    transition: $transition-base;
    transform: scale(-1, 1);
  }

  &:hover {
    color: $body-color;

    &:before {
      background-color: $primary;
      background-image: url("data:image/svg+xml,%3Csvg width='5' height='9' viewBox='0 0 5 9' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M5 4.5L0.5 9V0L5 4.5Z' fill='white'/%3E%3C/svg%3E%0A");
    }
  }
}

.btn-soc {
  padding: 0;
  width: 40px;
  height: 40px;
  line-height: 40px;
  text-align: center;
  color: #dee3e9;
  background: #fff;
  border: none;
  border-radius: 50%;
  box-shadow: 0 15px 20px rgba(222, 227, 233, .4);

  &:hover {
    color: $primary;
    box-shadow: 0 15px 20px rgba(222, 227, 233, .7);
  }
}

.btn-submit {

  @include media-breakpoint-down(md) {
    overflow: hidden;
    width: 50px;
    height: 50px;
    background-image: url("data:image/svg+xml,%3Csvg width='20' height='20' viewBox='0 0 20 20' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M19.5875 0.412496C19.2414 0.0664408 18.7502 -0.0737936 18.2736 0.0373783C18.2714 0.0378861 18.2692 0.038394 18.267 0.0389408L2.56082 3.88281C1.05305 4.25179 0 5.59363 0 7.1459V9.21875C0 9.97394 0.598399 10.592 1.34598 10.6237L7.25391 11.6293C7.37875 11.6506 7.50613 11.61 7.59567 11.5205L14.5581 4.55804C14.8022 4.31398 15.1979 4.31398 15.442 4.55804C15.686 4.80215 15.686 5.19785 15.442 5.44195L8.47957 12.4044C8.39004 12.4939 8.34945 12.6213 8.3707 12.7461L9.37629 18.6541C9.40797 19.4016 10.0261 20 10.7813 20H12.8541C14.4064 20 15.7482 18.947 16.1172 17.4392L19.961 1.73296C19.9616 1.73078 19.9621 1.72859 19.9626 1.7264C20.0738 1.24976 19.9336 0.758589 19.5875 0.412496Z' fill='%230057A5'/%3E%3C/svg%3E%0A");
    background-repeat: no-repeat;
    background-position: center center;
    border-radius: 50%;
  }
}

.btn-search {
  padding: 0;
  display: flex;
  width: 41px;
  height: 41px;
  justify-content: center;
  align-items: center;
  background: $white;
  border: 0 none;
  border-radius: 50%;

  @include media-breakpoint-down(lg) {
    width: 21px;
    height: 20px;
    background: transparent;
    border-radius: 0;
  }

  &:after {
    display: block;
    width: 19px;
    height: 18px;
    content: '';
    background-image: url("data:image/svg+xml,%3Csvg width='15' height='16' viewBox='0 0 15 16' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M1.03962 15.8477L1.03966 15.8472L1.02779 15.8473C0.912259 15.8479 0.797734 15.8258 0.69078 15.7821C0.583989 15.7385 0.486844 15.6742 0.404898 15.5931C0.241632 15.4286 0.15 15.2063 0.15 14.9745C0.15 14.7426 0.241771 14.5201 0.405274 14.3557L0.406256 14.3547L2.46064 12.2489C2.46087 12.2487 2.4611 12.2485 2.46132 12.2482C3.02433 11.6847 3.03951 11.0045 2.91286 10.4762C2.8496 10.2122 2.75035 9.98156 2.66249 9.81293C2.61848 9.72844 2.57679 9.65852 2.54301 9.60675C2.52617 9.58093 2.51081 9.55889 2.49767 9.54139C2.492 9.53384 2.48404 9.52341 2.47478 9.51287L2.42363 9.42762C1.74832 8.14796 1.53212 6.67542 1.81117 5.25558C2.09047 3.83442 2.84903 2.55216 3.96009 1.62304C5.07115 0.69393 6.4674 0.174246 7.91556 0.150828C9.36372 0.127409 10.776 0.601674 11.9166 1.49438C13.0571 2.38708 13.8567 3.64415 14.1818 5.05553C14.5069 6.46691 14.3378 7.94712 13.7028 9.24883C13.0678 10.5505 12.0052 11.5949 10.6928 12.2074C9.38032 12.8199 7.89742 12.9634 6.49185 12.614L6.49188 12.6139L6.48602 12.6127C6.37033 12.5887 6.26065 12.5417 6.16355 12.4744C6.06646 12.4071 5.98396 12.3209 5.92098 12.2209C5.858 12.121 5.81585 12.0093 5.79705 11.8927C5.77824 11.7761 5.78318 11.6568 5.81156 11.5421C5.83993 11.4275 5.89116 11.3197 5.96218 11.2253C6.0332 11.1309 6.12255 11.0518 6.22487 10.9927C6.32719 10.9336 6.44038 10.8958 6.55766 10.8816C6.67494 10.8673 6.79389 10.8768 6.90739 10.9096L6.90738 10.9097L6.90976 10.9103C8.05648 11.2214 9.27927 11.0735 10.3188 10.4982C11.3582 9.92296 12.1328 8.96557 12.4783 7.82897C12.7021 7.11246 12.7459 6.35185 12.6059 5.61437C12.4659 4.8767 12.1463 4.18489 11.6753 3.60013C11.2043 3.01537 10.5965 2.55567 9.90557 2.26169C9.21467 1.96771 8.46197 1.8485 7.71404 1.9146C6.96611 1.98071 6.24599 2.23009 5.61736 2.6407C4.98873 3.05131 4.47097 3.61049 4.10985 4.26879C3.74874 4.9271 3.5554 5.66424 3.54693 6.41504C3.53846 7.16584 3.71513 7.90716 4.0613 8.57344L4.06606 8.5826L4.07204 8.59103C4.59366 9.3269 4.84854 10.2188 4.79451 11.1191C4.74056 12.0183 4.38177 12.8722 3.77737 13.54L1.72434 15.5931C1.63518 15.6822 1.52787 15.751 1.40972 15.795C1.29157 15.8389 1.16534 15.8569 1.03962 15.8477Z' fill='%238E96A2' stroke='white' stroke-width='0.3'/%3E%3C/svg%3E");
    background-repeat: no-repeat;
    background-size: 19px 18px;

    @include media-breakpoint-down(lg) {
      width: 21px;
      height: 20px;
      background-image: url("data:image/svg+xml,%3Csvg width='21' height='20' viewBox='0 0 21 20' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M9 14C10.2857 15.2857 12.5199 15.1429 12.5199 15.1429C16.4254 15.1429 19.5914 11.9769 19.5914 8.07143C19.5914 4.16599 16.4254 1 12.5199 1C8.61451 1 5.44852 4.16599 5.44852 8.07143L5.44852 10.7102C5.44852 13.5256 4.2266 16.2023 2.09948 18.0467L1 19' stroke='%238E96A2' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E");
      background-repeat: no-repeat;
    }
  }
}

.btn-menu {
  padding: 0;
  width: 27px;
  height: 18px;
  background-image: url("data:image/svg+xml,%3Csvg width='27' height='18' viewBox='0 0 27 18' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M1 1H26' stroke='%238E96A2' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M1 9H26' stroke='%238E96A2' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M1 17H15' stroke='%238E96A2' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E");
  border: 0 none;
  border-radius: 0;
}

.btn-close {
  padding: 0;
  width: 18px;
  height: 18px;
  background-image: url("data:image/svg+xml,%3Csvg width='21' height='22' viewBox='0 0 21 22' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M1.66211 19.8389L19.3398 2.1612' stroke='white' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M19.3398 19.8389L1.66217 2.1612' stroke='white' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E");
  background-repeat: no-repeat;
  background-position: center center;
  background-size: contain;
  border: 0 none;
  border-radius: 0;
}

.btn-share {
  display: inline-flex;
  align-items: center;
  font-family: $font-secondary;
  font-size: 13px;
  line-height: 16px;
  font-weight: 500;
  color: $primary;

  &:before {
    margin-right: 10px;
    display: block;
    width: 18px;
    height: 18px;
    content: '';
    background-image: url("data:image/svg+xml,%3Csvg width='18' height='18' viewBox='0 0 18 18' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M14.25 10.5C12.81 10.5 11.565 11.325 10.9425 12.525L7.4775 11.535C7.4775 11.4375 7.5 11.3475 7.5 11.25C7.5 10.6125 7.32 10.0125 7.035 9.4875L10.4175 6.6675C11.0625 7.1775 11.865 7.5 12.75 7.5C14.82 7.5 16.5 5.82 16.5 3.75C16.5 1.68 14.82 0 12.75 0C10.68 0 9 1.68 9 3.75C9 4.395 9.18 4.9875 9.465 5.5125L6.075 8.3325C5.4375 7.8225 4.635 7.5 3.75 7.5C1.68 7.5 0 9.18 0 11.25C0 13.32 1.68 15 3.75 15C5.19 15 6.435 14.175 7.0575 12.975L10.53 13.965C10.5225 14.0625 10.5 14.1525 10.5 14.25C10.5 16.32 12.18 18 14.25 18C16.32 18 18 16.32 18 14.25C18 12.18 16.32 10.5 14.25 10.5ZM12.75 1.5C13.9875 1.5 15 2.5125 15 3.75C15 4.9875 13.9875 6 12.75 6C11.5125 6 10.5 4.9875 10.5 3.75C10.5 2.5125 11.5125 1.5 12.75 1.5ZM3.75 13.5C2.5125 13.5 1.5 12.4875 1.5 11.25C1.5 10.0125 2.5125 9 3.75 9C4.9875 9 6 10.0125 6 11.25C6 12.4875 4.9875 13.5 3.75 13.5ZM14.25 16.5C13.0125 16.5 12 15.4875 12 14.25C12 13.0125 13.0125 12 14.25 12C15.4875 12 16.5 13.0125 16.5 14.25C16.5 15.4875 15.4875 16.5 14.25 16.5Z' fill='%230057A5'/%3E%3C/svg%3E");
  }
}

a.text-secondary {
  color: #747d85 !important;
  transition: $transition-base;

  &:hover {
    text-decoration: none;
    color: $primary !important;
  }
}

//-------------------------

//--------------fancybox
.fancybox--search {

  .fancybox-slide--html {
    left: 50%;
    margin-right: auto;
    margin-left: auto;
    padding: 18px 15px 0;
    display: flex;
    width: 100%;
    max-width: 1290px;
    justify-content: flex-end;
    align-items: flex-start;
    transform: translateX(-50%);

    @include media-breakpoint-down(lg) {
      padding-top: 12px;
      max-width: 960px;
    }

    @include media-breakpoint-down(md) {
      max-width: 740px;
    }

    @include media-breakpoint-down(sm) {
      max-width: 540px;
    }

    @include media-breakpoint-down(xs) {
      max-width: 540px;
    }

    &:before {
      display: none;
    }

    .fancybox-close-small {
      top: 18px;
      right: 17px;
      padding: 2px;
      color: $grey;

      @include media-breakpoint-down(lg) {
        top: 8px;
        right: 8px;
      }
    }
  }

  .fancybox-content {
    padding: 0;
    width: 100%;
    max-width: 550px;
    background: transparent;
    border-radius: 40px;
    box-shadow: 0 15px 40px rgba(0, 0, 0, .1);

    @include media-breakpoint-down(lg) {
      max-width: 100%;
      border-radius: 30px;
    }
  }
}

.fancybox--menu {

  .fancybox-infobar {
    display: none;
  }

  .fancybox-toolbar {
    display: none;
  }

  .fancybox-navigation {
    display: none;
  }

  .fancybox-caption {
    display: none;
  }

  .fancybox-slide {
    padding: 0;

    &:before {
      display: none;
    }
  }

  .fancybox-content {
    padding: 0;
    display: block;
    width: 100%;
    height: 100%;
    background: $primary;

    .menu {
      display: block !important;
    }

    .menu__main {
      padding: 37px 0 65px;
      flex-direction: column;

      @include media-breakpoint-down(sm) {
        padding: 27px 0 53px;
      }

      li {
        margin-right: 0 !important;
        margin-left: 0 !important;
      }

      a {
        padding: 0;
        font-family: $font-family-base;
        font-size: 42px;
        line-height: 2;
        font-weight: 300;
        color: $white;

        @include media-breakpoint-down(sm) {
          font-size: 22px;
          line-height: 1.8;
        }
      }
    }
  }

  .menu__logo {
    margin-top: 12px;

    @include media-breakpoint-down(sm) {
      width: 85px;
    }
  }

  .btn-search {
    width: 21px;
    height: 20px;

    &:after {
      width: 100%;
      height: 100%;
      background-image: url("data:image/svg+xml,%3Csvg width='21' height='20' viewBox='0 0 21 20' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M9 14C10.2857 15.2857 12.5199 15.1429 12.5199 15.1429C16.4254 15.1429 19.5914 11.9769 19.5914 8.07143C19.5914 4.16599 16.4254 1 12.5199 1C8.61451 1 5.44852 4.16599 5.44852 8.07143L5.44852 10.7102C5.44852 13.5256 4.2266 16.2023 2.09948 18.0467L1 19' stroke='white' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E");
      background-size: 100%;
    }
  }
}

//tns
.tns-nav {
  display: flex;
  height: 8px;
  justify-content: center;
  align-items: center;

  button {
    margin: 0 12px;
    display: block;
    width: 6px;
    height: 6px;
    background: $grey5;
    border-radius: 50%;

    @include transition;

    &:hover,
    &.tns-nav-active {
      width: 8px;
      height: 8px;
      background: $primary;
    }
  }
}

.tns-outer {
  position: relative;
}

.tns-controls {

  button {
    position: absolute;
    top: calc(50% - 42px);
    display: flex;
    width: 44px;
    height: 44px;
    justify-content: center;
    align-items: center;
    background: $white;
    border-radius: 50%;
    box-shadow: 0 10px 20px rgba(0, 0, 0, .05);

    &:hover {

      svg path {
        fill: $black;
      }
    }

    svg path {
      fill: $grey5;

      @include transition;
    }
  }

  button[data-controls='prev'] {
    left: -22px;

    @media (max-width: 1299px) {
      left: -10px;
    }
  }

  button[data-controls='next'] {
    right: -22px;

    @media (max-width: 1299px) {
      right: -10px;
    }
  }
}

//way slider

.way {

  .tns-nav {
    position: absolute;
    bottom: 40px;
    left: 11px;
  }

  .tns-nav button {
    background: rgba(#fff, .3);
  }

  .tns-nav button:hover,
  .tns-nav button.tns-nav-active {
    background: #fff;
  }
}

//map
[class*='map'] [class*='-map-bg'] {
  background: transparent;
}

[class*='map'] [class*='controls-pane'],
[class*='map'] [class*='copyrights-pane'] {
  display: none;
}

[class*='ymaps-'][class*='-ground-pane'] {
  filter: grayscale(1);
}

//bootstrap forms
.form-control {
  box-shadow: $input-box-shadow;

  &:disabled,
  &[readonly] {
    opacity: 1;
    background-color: #fcfaf7;
    border: 1px solid $input-border-color;

    ~ label {
      color: rgba($secondary, .3);
      cursor: default;
    }
  }
}

.custom-file {
  height: auto;

  &.is-selected {

    .custom-file-label {
      color: $dark;
      border-color: transparent;

      &:after {
        background-image: url("data:image/svg+xml,%3Csvg width='20' height='20' viewBox='0 0 20 20' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M17.5352 8.03614L9.88387 15.8091C9.03915 16.6978 7.88968 17.2214 6.67464 17.2709C5.4596 17.3204 4.27256 16.892 3.3605 16.0749C2.91513 15.6488 2.55853 15.1362 2.31186 14.5675C2.0652 13.9988 1.93349 13.3855 1.92455 12.764C1.91561 12.1426 2.02963 11.5257 2.25983 10.9498C2.49004 10.374 2.83174 9.85105 3.26466 9.41196L9.78133 2.7909C10.2951 2.28404 10.9846 2.00293 11.7007 2.00829C12.4168 2.01366 13.1021 2.30507 13.6085 2.81957C14.1149 3.33407 14.4017 4.03034 14.407 4.75793C14.4123 5.48552 14.1356 6.18601 13.6367 6.70804L7.12004 13.3291C6.95192 13.4913 6.72895 13.5817 6.49712 13.5817C6.2653 13.5817 6.04232 13.4913 5.8742 13.3291C5.71034 13.1605 5.61845 12.9331 5.61845 12.6962C5.61845 12.4593 5.71034 12.2319 5.8742 12.0633L11.0847 6.76938C11.2646 6.58551 11.3653 6.33655 11.3646 6.07725C11.3639 5.81796 11.2618 5.56958 11.0808 5.38674C10.8999 5.20391 10.6548 5.10161 10.3996 5.10234C10.1444 5.10307 9.89995 5.20677 9.72 5.39064L4.50954 10.6826C3.98536 11.2168 3.69102 11.9404 3.69102 12.6947C3.69102 13.4491 3.98536 14.1726 4.50954 14.7069C5.04294 15.2242 5.75202 15.5129 6.48945 15.5129C7.22689 15.5129 7.93597 15.2242 8.46937 14.7069L14.986 8.0858C15.4243 7.64919 15.773 7.12863 16.0119 6.55423C16.2509 5.97984 16.3754 5.363 16.3782 4.73941C16.3811 4.11581 16.2622 3.49783 16.0285 2.9212C15.7948 2.34458 15.4509 1.82075 15.0167 1.38002C14.5825 0.939294 14.0665 0.590409 13.4988 0.353547C12.931 0.116684 12.3226 -0.00345603 11.7089 7.56612e-05C11.0951 0.00360735 10.4881 0.130741 9.92304 0.374122C9.35794 0.617504 8.84595 0.972303 8.41666 1.418L1.89999 8.03907C1.28588 8.66271 0.801324 9.40533 0.475073 10.2229C0.148821 11.0404 -0.012476 11.9162 0.00075254 12.7983C0.0139811 13.6804 0.201466 14.5507 0.552082 15.3578C0.902697 16.1649 1.4093 16.8921 2.04183 17.4965C3.22877 18.6172 4.79345 19.233 6.41375 19.217C8.22372 19.2165 9.95937 18.4855 11.239 17.1849L18.8903 9.41099C18.9818 9.32117 19.0548 9.21373 19.1051 9.09493C19.1553 8.97614 19.1817 8.84837 19.1828 8.71909C19.1839 8.5898 19.1597 8.46159 19.1115 8.34193C19.0633 8.22226 18.9922 8.11355 18.9022 8.02213C18.8122 7.93071 18.7052 7.85841 18.5874 7.80945C18.4696 7.76049 18.3434 7.73586 18.2162 7.73698C18.089 7.7381 17.9632 7.76496 17.8463 7.81599C17.7294 7.86702 17.6236 7.9412 17.5352 8.0342V8.03614Z' fill='%230057A5'/%3E%3C/svg%3E");
      }
    }
  }

  .custom-file-label {
    position: relative;
    margin: 0;
    padding: 25px;
    display: flex;
    height: auto;
    justify-content: center;
    align-items: center;
    font-family: $font-secondary;
    font-size: 16px;
    line-height: 1;
    color: $secondary;
    background: transparent;
    border: 2px dashed #c8c8c8;
    border-radius: 14px;
    cursor: pointer;

    @include media-breakpoint-down(sm) {
      font-size: 14px;
    }

    &:after {
      position: static;
      margin-right: 12px;
      padding: 0;
      display: block;
      width: 20px;
      min-width: 20px;
      height: 20px;
      order: -1;
      line-height: 1;
      content: '';
      background-color: transparent;
      background-image: url("data:image/svg+xml,%3Csvg width='20' height='20' viewBox='0 0 20 20' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M17.5352 8.03614L9.88387 15.8091C9.03915 16.6978 7.88968 17.2214 6.67464 17.2709C5.4596 17.3204 4.27256 16.892 3.3605 16.0749C2.91513 15.6488 2.55853 15.1362 2.31186 14.5675C2.0652 13.9988 1.93349 13.3855 1.92455 12.764C1.91561 12.1426 2.02963 11.5257 2.25983 10.9498C2.49004 10.374 2.83174 9.85105 3.26466 9.41196L9.78133 2.7909C10.2951 2.28404 10.9846 2.00293 11.7007 2.00829C12.4168 2.01366 13.1021 2.30507 13.6085 2.81957C14.1149 3.33407 14.4017 4.03034 14.407 4.75793C14.4123 5.48552 14.1356 6.18601 13.6367 6.70804L7.12004 13.3291C6.95192 13.4913 6.72895 13.5817 6.49712 13.5817C6.2653 13.5817 6.04232 13.4913 5.8742 13.3291C5.71034 13.1605 5.61845 12.9331 5.61845 12.6962C5.61845 12.4593 5.71034 12.2319 5.8742 12.0633L11.0847 6.76938C11.2646 6.58551 11.3653 6.33655 11.3646 6.07725C11.3639 5.81796 11.2618 5.56958 11.0808 5.38674C10.8999 5.20391 10.6548 5.10161 10.3996 5.10234C10.1444 5.10307 9.89995 5.20677 9.72 5.39064L4.50954 10.6826C3.98536 11.2168 3.69102 11.9404 3.69102 12.6947C3.69102 13.4491 3.98536 14.1726 4.50954 14.7069C5.04294 15.2242 5.75202 15.5129 6.48945 15.5129C7.22689 15.5129 7.93597 15.2242 8.46937 14.7069L14.986 8.0858C15.4243 7.64919 15.773 7.12863 16.0119 6.55423C16.2509 5.97984 16.3754 5.363 16.3782 4.73941C16.3811 4.11581 16.2622 3.49783 16.0285 2.9212C15.7948 2.34458 15.4509 1.82075 15.0167 1.38002C14.5825 0.939294 14.0665 0.590409 13.4988 0.353547C12.931 0.116684 12.3226 -0.00345603 11.7089 7.56612e-05C11.0951 0.00360735 10.4881 0.130741 9.92304 0.374122C9.35794 0.617504 8.84595 0.972303 8.41666 1.418L1.89999 8.03907C1.28588 8.66271 0.801324 9.40533 0.475073 10.2229C0.148821 11.0404 -0.012476 11.9162 0.00075254 12.7983C0.0139811 13.6804 0.201466 14.5507 0.552082 15.3578C0.902697 16.1649 1.4093 16.8921 2.04183 17.4965C3.22877 18.6172 4.79345 19.233 6.41375 19.217C8.22372 19.2165 9.95937 18.4855 11.239 17.1849L18.8903 9.41099C18.9818 9.32117 19.0548 9.21373 19.1051 9.09493C19.1553 8.97614 19.1817 8.84837 19.1828 8.71909C19.1839 8.5898 19.1597 8.46159 19.1115 8.34193C19.0633 8.22226 18.9922 8.11355 18.9022 8.02213C18.8122 7.93071 18.7052 7.85841 18.5874 7.80945C18.4696 7.76049 18.3434 7.73586 18.2162 7.73698C18.089 7.7381 17.9632 7.76496 17.8463 7.81599C17.7294 7.86702 17.6236 7.9412 17.5352 8.0342V8.03614Z' fill='%23C8C8C8'/%3E%3C/svg%3E");
      border: 0 none;
      border-radius: 0;
    }
  }

  .custom-file-input {
    display: none;
  }

  &__clear {
    position: relative;
    z-index: 3;
    top: 1px;
    margin-left: 10px;
    display: inline-block;
    overflow: hidden;
    width: 11px;
    height: 11px;
    font-size: 0;
    color: #fff;
    background-image: url("data:image/svg+xml,%3Csvg width='11' height='11' viewBox='0 0 11 11' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M1 1L10 10' stroke='%238F9399' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M10 1L1 10' stroke='%238F9399' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E%0A");
    transition: $transition-base;
    cursor: pointer;

    &:hover {
      background-image: url("data:image/svg+xml,%3Csvg width='11' height='11' viewBox='0 0 11 11' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M1 1L10 10' stroke='%230057a5' stroke-linecap='round' stroke-linejoin='round'/%3E%3Cpath d='M10 1L1 10' stroke='%230057a5' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E%0A");
    }
  }
}

.custom-file-label {
  z-index: 3;
}

.form-group {
  position: relative;
  margin-bottom: 20px;

  @include media-breakpoint-down(sm) {
    margin-bottom: 10px;
  }
}

textarea.form-control {
  padding: 25px;
  height: 145px;

  &::placeholder {
    opacity: 1;
    font-family: $font-secondary;
    font-size: 16px;
    color: $secondary;
  }
}

.was-validated textarea.form-control:valid,
textarea.form-control.is-valid {
  padding-right: 25px;
  background: none;
}

.was-validated .form-control:valid,
.form-control.is-valid {
  padding-right: 25px;
  background-image: none;
  border-color: $input-border-color;
}

.was-validated .custom-file-input:valid ~ .custom-file-label,
.custom-file-input.is-valid ~ .custom-file-label {
  border-color: $light-grey2;
}

.was-validated .form-control:invalid,
.form-control.is-invalid {
  padding-right: 25px;
  background: rgba(226, 22, 8, .1);
  border: 1px solid rgba(226, 22, 8, .5);

  &::placeholder {
    color: $red;
  }

  ~ label {
    color: $red;
  }
}

.invalid-feedback {
  position: absolute;
  top: 26px;
  right: 20px;
  margin: 0;
  width: auto;
  font-family: $font-secondary;
  font-size: 12px;
  color: $red;
}

.was-validated :invalid ~ .invalid-feedback,
.was-validated :invalid ~ .invalid-tooltip,
.is-invalid ~ .invalid-feedback,
.is-invalid ~ .invalid-tooltip {
  display: inline-block;
}

// select2
body > .select2-container {
  z-index: 9;
}

.select2-container {
  z-index: 10;
}

.select2-container--default {

  .select2-selection {
    padding: 5px 10px 5px 25px;
    display: flex;
    width: 100%;
    height: 70px;
    justify-content: space-between;
    align-items: center;
    background-color: $white;
    background-clip: padding-box;
    border: 1px solid $input-border-color;
    border-radius: 14px;
  }

  .select2-selection--multiple {
    padding: 5px 55px 5px 25px;
    justify-content: flex-start;

    &[aria-expanded='true'] {

      &:after {
        transform: rotate(180deg);
      }
    }

    &:after {
      position: absolute;
      top: auto;
      right: 15px;
      width: 20px;
      height: 26px;
      content: '';
      background-image: url("data:image/svg+xml,%3Csvg width='10' height='6' viewBox='0 0 10 6' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M9 1L5 5L1 1' stroke='black'/%3E%3C/svg%3E");
      background-repeat: no-repeat;
      background-position: center center;
      background-size: 10px 6px;
    }

    .select2-selection__rendered {
      position: relative;
      margin: 0;
      overflow: hidden;
      width: 100%;
      white-space: nowrap;
      text-overflow: ellipsis;

      &:after {
        position: absolute;
        top: 0;
        right: 0;
        display: block;
        width: 40px;
        height: 21px;
        content: '';
        background: linear-gradient(-90deg, #ffffff 0%, rgba(255, 255, 255, 0) 100%);
      }
    }

    .select2-selection__choice {
      margin: 0;
      background: transparent;
      border: 0 none;

      &:last-of-type {

        .select2-selection__choice__display:after {
          display: none;
        }
      }
    }

    .select2-selection__choice__remove {
      display: none;
    }

    .select2-selection__choice__display {
      padding: 0;
      font-family: $font-secondary;
      font-size: 16px;
      color: $dark;

      &:after {
        content: ', ';
      }
    }
  }

  .select2-selection--single {

    .select2-selection__rendered {
      padding: 0;
      font-family: $font-secondary;
      font-size: 16px;
      font-weight: 400;
      color: $grey8;
    }

    .select2-selection__arrow {
      position: static;
      width: 20px;
      height: 26px;
      background-image: url("data:image/svg+xml,%3Csvg width='10' height='6' viewBox='0 0 10 6' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M9 1L5 5L1 1' stroke='black'/%3E%3C/svg%3E");
      background-repeat: no-repeat;
      background-position: center center;
      background-size: 10px 6px;

      b {
        display: none;
      }
    }
  }

  &.select2-container--focus {

    .select2-selection--multiple {
      border: 1px solid $input-border-color;
    }
  }

  &.select2-container--open {

    .select2-selection--single {

      .select2-selection__arrow {
        transform: rotate(180deg);
      }
    }
  }

  &.select2-container--open.select2-container--below {

    .select2-selection--single,
    .select2-selection--multiple {
      border-bottom-right-radius: 14px;
      border-bottom-left-radius: 14px;
    }
  }

  &.select2-container--open.select2-container--above {

    .select2-selection--single,
    .select2-selection--multiple {
      border-top-left-radius: 14px;
      border-top-right-radius: 14px;
    }
  }

  .select2-results > .select2-results__options {
    position: relative;
  }

  .select2-results__option {
    padding: 7px 24px;
    font-size: 16px;
    color: $secondary;

    @include transition;

    &:first-of-type {
      padding-top: 0;
    }

    &:last-of-type {
      padding-bottom: 0;
    }
  }

  .select2-results__option--selected {
    color: $primary;
    background-color: transparent;
  }

  .select2-results__option--highlighted.select2-results__option--selectable {
    color: $primary;
    background-color: transparent;
  }

  .select2-search--inline {
    position: absolute;
    top: auto;
    left: auto;

    .select2-search__field {
      margin: 0;
      font-family: $font-secondary;
      font-size: 16px;
      font-weight: 400;
      color: $grey8;

      &::placeholder {
        opacity: 1;
      }
    }
  }
}

.select2-container--open {

  .select2-dropdown--below {
    top: -20px;
    padding: 40px 0 30px;
    border: 1px solid $input-border-color;
    border-radius: 14px;
  }

  .select2-dropdown--above {
    top: 20px;
    padding: 30px 0 40px;
    border: 1px solid $input-border-color;
    border-radius: 14px;
  }

  .select2-dropdown--multiple {

    .select2-results__option {
      position: relative;
      display: flex;
      align-items: center;

      &:before {
        margin-right: 15px;
        display: block;
        width: 21px;
        height: 21px;
        content: '';
        background-image: url("data:image/svg+xml,%3Csvg width='21' height='21' viewBox='0 0 21 21' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Crect x='0.5' y='0.5' width='20' height='20' rx='2.5' fill='white' stroke='%23E0DFDC'/%3E%3C/svg%3E");
      }

      &--selected {

        &:before {
          background-image: url("data:image/svg+xml,%3Csvg width='21' height='21' viewBox='0 0 21 21' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Crect width='21' height='21' rx='3' fill='%230057A5'/%3E%3Cpath d='M5 11.1364L8.18182 14.3182L15.5 7' stroke='white' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E");
        }
      }
    }
  }
}

.select2-selection {
  outline: none !important;
}

// perfect scrollbar
.ps__rail-y {
  right: 20px !important;
  width: 3px;
  opacity: 1;
  background-color: $light;
}

.ps__thumb-y {
  right: 0;
  width: 3px;
  background: $light2;
  border-radius: 0;
}

.ps--active-x > .ps__rail-x,
.ps--active-y > .ps__rail-y {
  display: block;
  background-color: $light;
}

.ps:hover > .ps__rail-x,
.ps:hover > .ps__rail-y,
.ps--focus > .ps__rail-x,
.ps--focus > .ps__rail-y,
.ps--scrolling-x > .ps__rail-x,
.ps--scrolling-y > .ps__rail-y {
  opacity: 1;
}

.ps .ps__rail-x:hover,
.ps .ps__rail-y:hover,
.ps .ps__rail-x:focus,
.ps .ps__rail-y:focus,
.ps .ps__rail-x.ps--clicking,
.ps .ps__rail-y.ps--clicking {
  opacity: 1;
  background-color: $light;
}

.ps__rail-y:hover > .ps__thumb-y,
.ps__rail-y:focus > .ps__thumb-y,
.ps__rail-y.ps--clicking .ps__thumb-y {
  width: 3px;
  background-color: $light2;
}

/* Браузерные хаки */

.button-container {
  display: none !important;
}

/* Print */

@media print {

  .header,
  .like,
  .section-recipe__prop-img,
  .share,
  .slider-recipes,
  .footer,
  .breadcrumbs {
    display: none !important;
  }
}


/* Fixes */

.content-style.text-block ul li {
  margin-bottom: 15px !important;
}

.content-style table tr:first-child td {
  color: #43464a !important;
}

.table__wrapper {
  overflow: auto;
  width: 100%;
}

.content-style a {
  font-weight: 600 !important;
  color: $primary !important;
}